/**
 * routes
 * @author eriksen, tala
 */

'use strict'

const PolicyRouter = require('nongfu.merchant.policyrouter').PolicyRouter;
const express = require('express')

let router = express.Router()
let policyRouter = new PolicyRouter(router)
let HealthChecker = require('nongfu.merchant.policyrouter').HealthChecker;

//=========================
//   HttpCompression Router
//=========================
let HttpCompression = require('./compression');
let httpCompression = new HttpCompression(policyRouter);
httpCompression.init();

//=========================
//   API Proxy Router
//=========================
let ApiProxy = require('./apiProxy');
let apiProxy = new ApiProxy(policyRouter);
apiProxy.init();

//=========================
//   Static Resource Router
//=========================
let StaticResourceProvider = require('./staticResourceProvider');
let staticResourceProvider = new StaticResourceProvider(policyRouter);
staticResourceProvider.init();

module.exports = router;
